Get Asset Markets
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug}/markets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}/markets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"volume_24h": 44573500000,
"ath": 4946.05,
"ath_change_percentage": -21.2222,
"ath_date": 1756063263,
"total_open_interest": 1707980000,
"total_liquidations": 0,
"updated_at": 1760639807,
"asset_code": "ETH",
"asset_slug": "ethereum"
}assets
Get Asset Markets
Get markets data for a single asset. Returns only the markets data with asset identifiers.
GET
/
v1
/
assets
/
{idOrSlug}
/
markets
Get Asset Markets
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug}/markets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}/markets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"volume_24h": 44573500000,
"ath": 4946.05,
"ath_change_percentage": -21.2222,
"ath_date": 1756063263,
"total_open_interest": 1707980000,
"total_liquidations": 0,
"updated_at": 1760639807,
"asset_code": "ETH",
"asset_slug": "ethereum"
}Authorizations
Path Parameters
Response
Markets data for the specified asset
Unix timestamp
Unix timestamp
Maximum string length:
20Maximum string length:
100